> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recurring Payments

> Retrieves a list of recurring payments for a given Merchant, filtered by various parameters.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/recurring-payment/list
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/recurring-payment/list:
    get:
      tags:
        - Recurring Payments management
      summary: List Recurring Payments
      description: >-
        Retrieves a list of recurring payments for a given Merchant, filtered by
        various parameters.
      operationId: listRecurringPayments
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: string
                      description: The ID of the merchant that processed the transactions.
                      example: '12345'
                  required:
                    - sid
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    status:
                      type: string
                      description: The status of the recurring payment.
                      example: Active, Failed, Paused, Canceled
                    customer_uuid:
                      type: string
                      description: The customer UUID associated with the transaction.
                      example: cust_456
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 1
                      name: 'Car Was Solutions '
                      amount: 4,574.99
                      start_date: '2024-11-07T05:00:00.000000Z'
                      end_date: '2026-12-31T05:00:00.000000Z'
                      recurrence_schedule: Monthly
                      last_run_date: '2025-12-15T05:00:00.000000Z'
                      last_run_status: Failed
                      last_run_failed_count: 3
                      next_run_date: null
                      status: Cancelled
                      paused_until_date: null
                      customer_uuid: 9a242468-6b4e-4382-a61b-a728fbc8edae
                      cancelled_at: '2026-06-29T04:00:00.000000Z'
                      error: DECLINE
                      payment_method:
                        id: 7
                        type: cc
                        last_four: '4003'
                        expiration: 09/2029
                        zip: ''
                        name_on_card: Geo Perez
                      shipping_address:
                        addr1: null
                        addr2: null
                        city: null
                        state: null
                        zip: null
                    - id: 1
                      name: 'Car Was Solutions '
                      amount: 4,574.99
                      start_date: '2024-11-07T05:00:00.000000Z'
                      end_date: '2026-12-31T05:00:00.000000Z'
                      recurrence_schedule: Monthly
                      last_run_date: '2025-12-15T05:00:00.000000Z'
                      last_run_status: Failed
                      last_run_failed_count: 3
                      next_run_date: null
                      status: Cancelled
                      paused_until_date: null
                      customer_uuid: 9a242468-6b4e-4382-a61b-a728fbc8edae
                      cancelled_at: '2026-06-29T04:00:00.000000Z'
                      error: DECLINE
                      payment_method:
                        id: 7
                        type: cc
                        last_four: '4003'
                        expiration: 09/2029
                        zip: ''
                        name_on_card: Geo Perez
                      shipping_address:
                        addr1: null
                        addr2: null
                        city: null
                        state: null
                        zip: null
                  links:
                    prev: null
                    next: null
                  meta:
                    path: /
                    per_page: 15
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - id: 1
                        name: 'Car Was Solutions '
                        amount: 4,574.99
                        start_date: '2024-11-07T05:00:00.000000Z'
                        end_date: '2026-12-31T05:00:00.000000Z'
                        recurrence_schedule: Monthly
                        last_run_date: '2025-12-15T05:00:00.000000Z'
                        last_run_status: Failed
                        last_run_failed_count: 3
                        next_run_date: null
                        status: Cancelled
                        paused_until_date: null
                        customer_uuid: 9a242468-6b4e-4382-a61b-a728fbc8edae
                        cancelled_at: '2026-06-29T04:00:00.000000Z'
                        error: DECLINE
                        payment_method:
                          id: 7
                          type: cc
                          last_four: '4003'
                          expiration: 09/2029
                          zip: ''
                          name_on_card: Geo Perez
                        shipping_address:
                          addr1: null
                          addr2: null
                          city: null
                          state: null
                          zip: null
                      - id: 1
                        name: 'Car Was Solutions '
                        amount: 4,574.99
                        start_date: '2024-11-07T05:00:00.000000Z'
                        end_date: '2026-12-31T05:00:00.000000Z'
                        recurrence_schedule: Monthly
                        last_run_date: '2025-12-15T05:00:00.000000Z'
                        last_run_status: Failed
                        last_run_failed_count: 3
                        next_run_date: null
                        status: Cancelled
                        paused_until_date: null
                        customer_uuid: 9a242468-6b4e-4382-a61b-a728fbc8edae
                        cancelled_at: '2026-06-29T04:00:00.000000Z'
                        error: DECLINE
                        payment_method:
                          id: 7
                          type: cc
                          last_four: '4003'
                          expiration: 09/2029
                          zip: ''
                          name_on_card: Geo Perez
                        shipping_address:
                          addr1: null
                          addr2: null
                          city: null
                          state: null
                          zip: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                          description: 'The id assigned. Example: 453.'
                        name:
                          type: string
                          example: 'Car Was Solutions '
                          description: 'The name assigned. Example: Acme Corp.'
                        amount:
                          type: string
                          example: 4,574.99
                          description: 'The amount. Example: 11.11'
                        start_date:
                          type: string
                          example: '2024-11-07T05:00:00.000000Z'
                          description: 'The start date. Example: 2025-04-04T04:00:00.000000Z'
                        end_date:
                          type: string
                          example: '2026-12-31T05:00:00.000000Z'
                          description: 'The end date. Example: 2024-01-17T12:44:28.000000Z'
                        recurrence_schedule:
                          type: string
                          example: Monthly
                          description: >-
                            The schedule set. Example: Monthly, Daily, Weekly,
                            Yearly
                        last_run_date:
                          type: string
                          example: '2025-12-15T05:00:00.000000Z'
                          description: >-
                            The last date the payment was attempted. Example:
                            2024-01-17T18:35:00.000000Z
                        last_run_status:
                          type: string
                          example: Failed
                          description: 'The status of the last attempt. Example: Success'
                        last_run_failed_count:
                          type: integer
                          example: 3
                          description: 'The number of times this has failed. Example: 0'
                        next_run_date:
                          type: string
                          example: null
                          description: >-
                            The next date the attempt will be made. Example:
                            2024-01-17T18:35:00.000000Z
                        status:
                          type: string
                          example: Cancelled
                          description: >-
                            The overall status of the recurring payment.
                            Example: Active
                        paused_until_date:
                          type: string
                          example: null
                          description: >-
                            The date that payment is paused until. Example:
                            2024-01-17T18:35:00.000000Z
                        customer_uuid:
                          type: string
                          example: 9a242468-6b4e-4382-a61b-a728fbc8edae
                          description: >-
                            The UUID of the customer if applicable. Example:
                            123123-123132-1231231-1231231
                        cancelled_at:
                          type: string
                          example: '2026-06-29T04:00:00.000000Z'
                          description: >-
                            The date this recurring payment was canceled.
                            Example: 2024-01-17T18:35:00.000000Z
                        error:
                          type: string
                          example: DECLINE
                          description: >-
                            The error of a failed attempt if known. Example:
                            EXPIRED CARD
                        payment_method:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 7
                              description: >-
                                The id of the assigned payment method. Example:
                                69
                            type:
                              type: string
                              example: cc
                              description: >-
                                The type of the assigned payment method.
                                Example: cc OR ach
                            last_four:
                              type: string
                              example: '4003'
                              description: >-
                                The last four digits of the assigned payment
                                method. Example: 1234
                            expiration:
                              type: string
                              example: 09/2029
                              description: >-
                                The expiration of the assigned payment method.
                                Example: MM/YYYY
                            zip:
                              type: string
                              example: ''
                              description: >-
                                The zip of the assigned payment method. Example:
                                30090
                            name_on_card:
                              type: string
                              example: Geo Perez
                              description: >-
                                The name on the card of the assigned payment
                                method. Example: John Doe
                        shipping_address:
                          type: object
                          properties:
                            addr1:
                              type: string
                              example: null
                              description: >-
                                The shipping address line 1. Example: 123 Main
                                St.
                            addr2:
                              type: string
                              example: null
                              description: 'The shipping address line 2. Example: apt 1.'
                            city:
                              type: string
                              example: null
                              description: 'The shipping city. Example: Alpharetta.'
                            state:
                              type: string
                              example: null
                              description: 'The shipping state. Example: GA.'
                            zip:
                              type: string
                              example: null
                              description: 'The shipping zip. Example: 12345.'
                  links:
                    type: object
                    properties:
                      prev:
                        type: string
                        example: null
                        nullable: true
                      next:
                        type: string
                        example: null
                        nullable: true
                  meta:
                    type: object
                    properties:
                      path:
                        type: string
                        example: /
                      per_page:
                        type: integer
                        example: 15
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
        '400':
          description: Failed validation
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    filters.status:
                      - The filters.status field is not valid.
                properties:
                  errors:
                    type: object
                    properties:
                      filters.status:
                        type: array
                        example:
                          - The filters.status field is not valid.
                        items:
                          type: string
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Token unauthorized
                    type: object
                    example:
                      data:
                        message: Permission Denied.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Permission Denied.
                  - description: Invalid merchant or affiliate authorization
                    type: object
                    example:
                      data:
                        message: Unauthorized
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Unauthorized
                  - description: Invalid merchant or affiliate associations
                    type: object
                    example:
                      data:
                        message: Not associated with affiliate
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Not associated with affiliate
        '404':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Invalid sid
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
                  - description: No recurring payments found
                    type: object
                    example:
                      data:
                        message: No recurring payments found
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No recurring payments found
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````